Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 553818 - <media-libs/libwmf-0.2.8.4-r6: Denial of Service (CVE-2015-{4588,4695,4696})
Summary: <media-libs/libwmf-0.2.8.4-r6: Denial of Service (CVE-2015-{4588,4695,4696})
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: B2 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-02 23:02 UTC by GLSAMaker/CVETool Bot
Modified: 2016-02-27 01:45 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2015-07-02 23:02:18 UTC
CVE-2015-4696 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-4696):
  Use-after-free vulnerability in libwmf 0.2.8.4 allows remote attackers to
  cause a denial of service (crash) via a crafted WMF file to the (1) wmf2gd
  or (2) wmf2eps command.
Comment 1 Yury German Gentoo Infrastructure gentoo-dev Security 2015-07-02 23:11:00 UTC
CVE-2015-4695 
Closemeta.h in libwmf 0.2.8.4 allows remote attackers to cause a denial of service (out-of-bounds read) via a crafted WMF file.

CVE-2015-4588
Heap-based buffer overflow in the DecodeImage function in libwmf 0.2.8.4 allows remote attackers to cause a denial of service (crash) or possibly execute arbitrary code via a crafted "run-length count" in an image in a WMF file.
Comment 3 Yury German Gentoo Infrastructure gentoo-dev Security 2015-08-10 14:35:46 UTC
Patches available at Red Hat link, please advise.
Comment 4 Alexander Tsoy 2015-10-28 02:28:48 UTC
I created pull request on Github:
https://github.com/gentoo/gentoo/pull/303
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-10-28 07:28:15 UTC
Since this is maint-needed, I've taken the liberty to merge the PR (eca6766). Now I guess we need to fast-stabilize -r6.
Comment 6 Yury German Gentoo Infrastructure gentoo-dev Security 2015-11-03 17:42:50 UTC
Arches, please test and mark stable:

=media-libs/libwmf-0.2.8.4-r6

Target Keywords : "alpha amd64 arm hppa ia64 ppc ppc64 sparc x86"

Thank you!
Comment 7 Agostino Sarubbo gentoo-dev 2015-12-24 20:12:34 UTC
amd64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2015-12-25 18:20:53 UTC
x86 stable
Comment 9 Jeroen Roovers gentoo-dev 2015-12-26 10:01:36 UTC
(In reply to Agostino Sarubbo from comment #7)
> amd64 stable

(In reply to Agostino Sarubbo from comment #8)
> x86 stable

You didn't commit anything.
Comment 10 Markus Meier gentoo-dev 2016-01-07 20:20:56 UTC
arm stable
Comment 11 Agostino Sarubbo gentoo-dev 2016-01-09 07:08:32 UTC
(In reply to Jeroen Roovers from comment #9)
> (In reply to Agostino Sarubbo from comment #7)
> > amd64 stable
> 
> (In reply to Agostino Sarubbo from comment #8)
> > x86 stable
> 
> You didn't commit anything.

the stabilization was done in bug 551144
Comment 12 Agostino Sarubbo gentoo-dev 2016-01-09 07:11:24 UTC
sparc stable
Comment 13 Agostino Sarubbo gentoo-dev 2016-01-10 10:41:41 UTC
alpha stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 14 Yury German Gentoo Infrastructure gentoo-dev Security 2016-02-25 06:44:56 UTC
Arches and Maintainer(s), Thank you for your work.

New GLSA Request filed.
Comment 15 GLSAMaker/CVETool Bot gentoo-dev 2016-02-27 01:45:44 UTC
This issue was resolved and addressed in
 GLSA 201602-03 at https://security.gentoo.org/glsa/201602-03
by GLSA coordinator Kristian Fiskerstrand (K_F).